using System;
using System.Collections.Generic;
using System.Collections;
using System.Linq;
using System.Text;
using System.Data.SqlClient;
using System.Data;

namespace Kormann
{
    public static class DBOperations
    {
        //
        // Beginn Schritt 3 im Sequenzdiagramm HerstellerAnzeige
        //
        public static ArrayList GetHersteller()
        {
            ArrayList lst = new ArrayList();
            lst.Add(new HerstellerInfo("", ""));
            //
            // Beginn Schritt 4 im Sequenzdiagramm HerstellerAnzeige
            //
            SqlConnection conn = new SqlConnection(Properties.Settings.Default.conHRL);
            string query = @"SELECT  
                               tblHersteller.HSN,  
                               tblHersteller.Hersteller  
                             FROM tblHersteller   
                             ORDER BY Hersteller ASC";

            SqlCommand cmd = new SqlCommand(query, conn);
            try
            {
                conn.Open();
                //
                // Beginn Schritt 5 im Sequenzdiagramm HerstellerAnzeige
                //
                SqlDataReader dr = cmd.ExecuteReader();
                while (dr.Read())
                {
                    string hsn = dr.GetString(0);
                    string hersteller = dr.GetString(1);

                    lst.Add(new HerstellerInfo(hsn, hersteller));
                }
                dr.Close();
                //
                // Ende Schritt 5 im Sequenzdiagramm HerstellerAnzeige
                //
            }
            catch (Exception ex)
            {
                throw ex;
            }
            finally
            {
                conn.Close();
                //
                // Ende Schritt 4 im Sequenzdiagramm HerstellerAnzeige
                //
            }

            return lst;
            //
            // Ende Schritt 3 im Sequenzdiagramm HerstellerAnzeige
            //
        }

        public static ArrayList GetModelle(HerstellerInfo hersteller)
        {
            ArrayList lstModelle = new ArrayList();
           
            
            // Hier fehlt ihre Implementierung!
            return lstModelle;
        }
        public static ArrayList GetArtikelgruppen(string pText)
        {
            ArrayList lstAGr = new ArrayList();
          
            // Ergänzen Sie bitte hier:
           
                return lstAGr;
            

            }
        public static ArrayList GetArtikel(HerstellerInfo h, ModellInfo m, ArtikelgruppenInfo a)
        {
            ArrayList lstArt = new ArrayList();
       
            
            return lstArt;
        }
    }
}
